clang 10.0.0git

List of all members
clang::IgnoringDiagConsumer Class Reference

A diagnostic client that ignores all diagnostics. More...

`#include "clang/Basic/Diagnostic.h"`

Inheritance diagram for clang::IgnoringDiagConsumer:
[legend]
Collaboration diagram for clang::IgnoringDiagConsumer:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::DiagnosticConsumer
| DiagnosticConsumer ()=default
virtual | ~DiagnosticConsumer ()
unsigned | getNumErrors () const
unsigned | getNumWarnings () const
virtual void | clear ()
virtual void | BeginSourceFile (const LangOptions &LangOpts, const Preprocessor *PP=nullptr)
| Callback to inform the diagnostic client that processing of a source file is beginning. More...
virtual void | EndSourceFile ()
| Callback to inform the diagnostic client that processing of a source file has ended. More...
virtual void | finish ()
| Callback to inform the diagnostic client that processing of all source files has ended. More...
virtual bool | IncludeInDiagnosticCounts () const
| Indicates whether the diagnostics handled by this DiagnosticConsumer should be included in the number of diagnostics reported by DiagnosticsEngine. More...
Protected Attributes inherited from clang::DiagnosticConsumer
unsigned | NumWarnings = 0
| Number of warnings reported. More...
unsigned | NumErrors = 0
| Number of errors reported. More...

## Detailed Description

A diagnostic client that ignores all diagnostics.

Definition at line 1554 of file Diagnostic.h.

The documentation for this class was generated from the following files:

- include/clang/Basic/Diagnostic.h
- lib/Basic/Diagnostic.cpp